Subject: RE: serialNumber Attribute

From: "Stefan Santesson" <[email-masked]>
Date: Wed, 17 Nov 2004 16:59:01 -0000

I would guess that the certificate is using the definitions outlined in
RFC 3739 (Qualified Certificate Profile), which contains guidance on the
use of serialNumber in DN when issuing ID certificates to people.

Stefan Santesson
Microsoft Security Center of Excellence (SCOE)
 
> -----Original Message-----
> From: [email-masked]
[mailto:[email-masked]]
> On Behalf Of Stephen Kent
> Sent: den 17 november 2004 15:44
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: serialNumber Attribute
> 
> 
> At 2:02 PM +0100 11/17/04, [email-masked] wrote:
> >Hi,
> >
> >Not having found a reference specifies in the RFC, I call upon you to
> solve a
> >problem currently met by certain Frecnh CA.
> >
> >  Certificates were emitted with in the DN a serialNumber attribute
> >containing a
> >value different from the serialNumber contained in the certificate.
> >
> >  This is correct ?
> >
> >I don't find reference in RFC3280 for attribute serialNumber in
> >certificate, it
> >is subjected to the conditon of the paragraph 4.1.2.2 "Serial number"
?
> >
> >Thanhs Yannick
> 
> The serialNumber attribute that may appear in a DN is in no way
> related to the serial number value that appears in the cert.  Sorry
> that the names cause confusion, but the text defining each of these
> values in a cert is pretty clear.
> 
> Steve